<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
$nowarch_redux_demo = get_option('redux_demo');
get_header(); ?> 

<div class="content-wrapper">
    <!-- Lines section -->
    <div class="content-lines-wrapper">
        <div class="content-lines-inner">
            <div class="content-lines"></div>
        </div>
    </div>
    <!-- Header Banner section -->
    <?php if(isset($nowarch_redux_demo['404_banner']['url']) && $nowarch_redux_demo['404_banner']['url'] != ''){?>
        <section class="banner-header banner-img section-padding valign bg-img bg-fixed" data-overlay-darkgray="2" data-background="<?php echo esc_url($nowarch_redux_demo['404_banner']['url']); ?>"></section>
    <?php }else{?>
        <section class="banner-header banner-img section-padding valign bg-img bg-fixed" data-overlay-darkgray="2" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/11.jpg"></section>
    <?php } ?>
    <!-- Not found 404 -->
    <div class="section-padding2">
        <div class="container">
            <div class="row">
                <div class="col-md-8 offset-md-2 text-center"> 
                    <?php if(isset($nowarch_redux_demo['404_image']['url']) && $nowarch_redux_demo['404_image']['url'] != ''){?>
                        <img src="<?php echo esc_url($nowarch_redux_demo['404_image']['url']); ?>" class="mb-30" alt="">
                    <?php }else{?>
                        <img src="<?php echo get_template_directory_uri();?>/assets/img/404-image.png" class="mb-30" alt="">
                    <?php } ?>
                    <div class="section-title mb-15"><?php if(isset($nowarch_redux_demo['404_title']) && $nowarch_redux_demo['404_title'] != ''){?>
                        <?php echo htmlspecialchars_decode(esc_attr($nowarch_redux_demo['404_title']));?>
                    <?php }else{?>
                        <?php echo esc_html__( 'Sorry we cant find that page!', 'nowarch' );
                    }?></div>
                    <p><?php if(isset($nowarch_redux_demo['404_desc']) && $nowarch_redux_demo['404_desc'] != ''){?>
                        <?php echo htmlspecialchars_decode(esc_attr($nowarch_redux_demo['404_desc']));?>
                    <?php }else{?>
                        <?php echo esc_html__( 'The page you are looking for was moved, removed, renamed or never existed.', 'nowarch' );
                    }?></p>
                    <div class="error-form">
                        <form method="post" action="<?php echo esc_url(home_url('/')); ?>">
                            <div class="form-group clearfix">
                                <input type="search" name="s" value="" placeholder="<?php echo esc_html__( 'Search here', 'nowarch' )?>" required="">
                                <button type="submit" class="theme-btn"><span class="ti-search"></span></button>
                            </div>
                        </form>
                    </div>
                    <div class="butn-dark mt-30"><a href="<?php echo esc_url(home_url('/')); ?>"><span><i class="ti-arrow-left"></i> <?php if(isset($nowarch_redux_demo['404_button']) && $nowarch_redux_demo['404_button'] != ''){?>
                        <?php echo htmlspecialchars_decode(esc_attr($nowarch_redux_demo['404_button']));?>
                    <?php }else{?>
                        <?php echo esc_html__( 'Back to home', 'nowarch' );
                    }?></span></a></div>
                </div>
            </div>
        </div>
    </div>

    <?php get_footer(); ?>