<?php $nowarch_redux_demo = get_option('redux_demo'); ?>

<footer class="main-footer">
            <div class="container call-action">
                <div class="row valign">
                    <?php if ( is_active_sidebar( 'footer-widget-1' ) ) : ?>
                        <?php dynamic_sidebar( 'footer-widget-1' ); ?>
                    <?php endif; ?>
                </div>
                <div class="row">
                    <?php if ( is_active_sidebar( 'footer-widget-2' ) ) : ?>
                        <?php dynamic_sidebar( 'footer-widget-2' ); ?>
                    <?php endif; ?>
                </div>
            </div>
            <!-- bottom footer -->
            <div class="bottom-footer">
                <div class="container">
                    <div class="row">
                        <div class="col-md-4">
                            <?php if(isset($nowarch_redux_demo['footer_text']) && $nowarch_redux_demo['footer_text'] != ''){?>
                            <p><?php echo htmlspecialchars_decode(esc_attr($nowarch_redux_demo['footer_text']));?></p>
                        <?php }else{?>
                            <p><?php echo esc_html__( 'Copyright © 2021. All right reserved.', 'nowarch' )?></p>
                        <?php }?>
                        </div>
                        <div class="col-md-4">
                            <ul class="social">
                                <?php if(isset($nowarch_redux_demo['facebook_link']) && $nowarch_redux_demo['facebook_link'] != ''){?>
                                <li><a href="<?php echo esc_url($nowarch_redux_demo['facebook_link']); ?>"><i class="ti-facebook"></i></a></li>
                                <?php }?>
                                <?php if(isset($nowarch_redux_demo['twitter_link']) && $nowarch_redux_demo['twitter_link'] != ''){?>
                                <li><a href="<?php echo esc_url($nowarch_redux_demo['twitter_link']); ?>"><i class="ti-twitter"></i></a></li>
                                <?php }?>
                                <?php if(isset($nowarch_redux_demo['instagram_link']) && $nowarch_redux_demo['instagram_link'] != ''){?>
                                <li><a href="<?php echo esc_url($nowarch_redux_demo['instagram_link']); ?>"><i class="ti-instagram"></i></a></li>
                                <?php }?>
                                <?php if(isset($nowarch_redux_demo['pinterest_link']) && $nowarch_redux_demo['pinterest_link'] != ''){?>
                                <li><a href="<?php echo esc_url($nowarch_redux_demo['pinterest_link']); ?>"><i class="ti-pinterest"></i></a></li>
                                <?php }?>
                            </ul>
                        </div>
                        <div class="col-md-4">
                            <p>
                                <?php if(isset($nowarch_redux_demo['footer_policy']) && $nowarch_redux_demo['footer_policy'] != ''){?>
                                <a href="<?php echo esc_url($nowarch_redux_demo['footer_policy_link']); ?>"><?php echo htmlspecialchars_decode(esc_attr($nowarch_redux_demo['footer_policy']));?></a> 
                                <?php }else{?>
                                <a href="<?php echo esc_url($nowarch_redux_demo['footer_policy_link']); ?>"><?php echo esc_url($footer_policy_link); ?>"><?php echo esc_html__( 'Privacy Policy', 'nowarch' )?></a> 
                                <?php }?>
                                <?php if(isset($nowarch_redux_demo['footer_term']) && $nowarch_redux_demo['footer_term'] != ''){?>
                                <span>|</span> <a href="<?php echo esc_url($nowarch_redux_demo['footer_term_link']); ?>"><?php echo htmlspecialchars_decode(esc_attr($nowarch_redux_demo['footer_term']));?></a>
                                <?php }else{?>
                                <span>|</span> <a href="<?php echo esc_url($nowarch_redux_demo['footer_term_link']); ?>"><?php echo esc_html__( 'Terms of Use', 'nowarch' )?></a>
                                <?php }?>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
        <!-- footer background image -->
        <?php if(isset($nowarch_redux_demo['footer_bg']['url']) && $nowarch_redux_demo['footer_bg']['url'] != ''){?>
        <div class="main-footer-bg main-footer-bottom"> <img src="<?php echo esc_url($nowarch_redux_demo['footer_bg']['url']); ?>" alt="background">
            <?php }else{?>
        <div class="main-footer-bg main-footer-bottom"> <img src="<?php echo get_template_directory_uri();?>/assets/img/banner.jpg" alt="background">
            <?php } ?>
            <div class="main-footer-bg-overlay"></div>
        </div>
    </div>
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>