<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<?php $nowarch_redux_demo = get_option('redux_demo'); ?>

<head>

    <!-- Meta Tags -->

    <meta charset="<?php bloginfo( 'charset' ); ?>">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {?>

        <?php if(isset($nowarch_redux_demo['favicon']['url'])){?>

            <link rel="shortcut icon" href="<?php echo esc_url($nowarch_redux_demo['favicon']['url']); ?>">

        <?php } ?>

    <?php } ?>

    <?php wp_head(); ?> 


</head>

<body data-spy="scroll" data-target=".navbar" data-offset="50">
    <!-- Preloader -->
    <div class="preloader-bg"></div>
    <div id="preloader">
        <div id="preloader-status">
            <div class="preloader-position loader"> <span></span> </div>
        </div>
    </div>
    <!-- Progress scroll totop -->
    <div class="progress-wrap cursor-pointer">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
        </svg>
    </div>
    <!-- Sidebar Section -->
    <a href="#" class="js-nowarch-nav-toggle nowarch-nav-toggle"><i></i></a>
    <aside id="nowarch-aside">
        <!-- Logo -->
        <?php if(isset($nowarch_redux_demo['logo_text']) && $nowarch_redux_demo['logo_text'] != ''){?>
            <div class="nowarch-logo">
                <a href="<?php echo esc_url(home_url('/')); ?>"> 
                    <h2><?php echo htmlspecialchars_decode(esc_attr($nowarch_redux_demo['logo_text']));?></h2>
                </a>
            </div>
        <?php }else{?>
            <div class="nowarch-logo">
                <a href="<?php echo esc_url(home_url('/')); ?>"> 
                    <h2><?php echo esc_html__( 'NOWARCH', 'nowarch' )?><span><?php echo esc_html__( 'Architecture', 'nowarch' )?></span></h2>
                </a>
            </div>
        <?php } ?>
        <!-- Menu -->
        <nav class="nowarch-main-menu">
            <?php 
            wp_nav_menu( 
                array( 
                    'theme_location' => 'onepage-sidebar',
                    'container' => '',
                    'menu_class' => '', 
                    'menu_id' => '',
                    'menu'            => '',
                    'container_class' => '',
                    'container_id'    => '',
                    'echo'            => true,
                    'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                    'walker'            => new nowarch_wp_bootstrap_navwalker(),
                    'before'          => '',
                    'after'           => '',
                    'link_before'     => '',
                    'link_after'      => '',
                    'items_wrap'      => '<ul class="%2$s">%3$s</ul>',
                    'depth'           => 0,        
                )
            ); ?>
        </nav>
        <!-- footer -->
        <div class="nowarch-footer">
            <?php if(isset($nowarch_redux_demo['header_socials']) && $nowarch_redux_demo['header_socials'] != ''){?>
            <ul>
                <?php echo htmlspecialchars_decode(esc_attr($nowarch_redux_demo['header_socials']));?>
            </ul>
            <?php } ?>
            <?php if(isset($nowarch_redux_demo['header_bottom_text']) && $nowarch_redux_demo['header_bottom_text'] != ''){?>
            <p><small><?php echo esc_attr($nowarch_redux_demo['header_bottom_text']);?></small></p>
            <?php } ?>
        </div>
    </aside>
    <!-- Main -->
    <div id="nowarch-main">

    <div class="content-wrapper">
        <!-- Lines section -->
        <section class="content-lines-wrapper">
            <div class="content-lines-inner">
                <div class="content-lines"></div>
            </div>
        </section>