<?php
/*
 * Template Name: Home Multi Template
 * Description: A Page Template with a Page Builder design.
 */
$nowarch_redux_demo = get_option('redux_demo');
get_header(); ?>

<header class="header slider-fade">
	<div class="owl-carousel owl-theme">
		<!-- The opacity on the image is made with "data-overlay-dark="number".You can change it using the numbers 0-9. -->
		<div class="item bg-img" data-overlay-dark="3" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/1.jpg">
			<div class="v-middle caption">
				<div class="container">
					<div class="row">
						<div class="col-md-12 text-center">
							<div class="o-hidden">
								<h6>Residental</h6>
								<h1>The Brown House</h1>
								<div class="butn-dark mt-30 mb-30"><a href="<?php echo esc_url(home_url('/')); ?>?portfolio=brown-house-in-new-york"><span>See project <i class="ti-arrow-right"></i></span></a></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="item bg-img" data-overlay-dark="3" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/2.jpg">
			<div class="v-middle caption">
				<div class="container">
					<div class="row">
						<div class="col-md-12 text-center">
							<div class="o-hidden">
								<h6>Residental</h6>
								<h1>The Soft Villa</h1>
								<div class="butn-dark mt-30 mb-30"><a href="<?php echo esc_url(home_url('/')); ?>?portfolio=the-soft-villa-in-canada"><span>See project <i class="ti-arrow-right"></i></span></a></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="item bg-img" data-overlay-dark="3" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/3.jpg">
			<div class="v-middle caption">
				<div class="container">
					<div class="row">
						<div class="col-md-12 text-center">
							<div class="o-hidden">
								<h6>Residental</h6>
								<h1>South Dan House</h1>
								<div class="butn-dark mt-30 mb-30"><a href="<?php echo esc_url(home_url('/')); ?>?portfolio=box-house-in-london"><span>See project <i class="ti-arrow-right"></i></span></a></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="social-icon"> 
		<a href="https://www.facebook.com/"><i class="ti-facebook"></i></a> 
		<a href="https://twitter.com/"><i class="ti-twitter"></i></a> 
		<a href="https://www.instagram.com/"><i class="ti-instagram"></i></a> 
		<a href="https://www.pinterest.com/"><i class="ti-pinterest"></i></a> 
	</div>
</header>
<!-- Content -->
<div class="content-wrapper">
	<!-- Lines section -->
	<section class="content-lines-wrapper">
		<div class="content-lines-inner">
			<div class="content-lines"></div>
		</div>
	</section>
	<!-- About section -->
	<section class="about section-padding">
		<div class="container">
			<div class="row">
				<div class="col-md-12 animate-box" data-animate-effect="fadeInUp">
					<div class="about">
						<figure> <img src="<?php echo get_template_directory_uri();?>/assets/img/about.jpg" alt=""> </figure>
						<div class="caption">
							<div class="section-number">.01</div>
							<div class="section-subtitle">Get to know us</div>
							<div class="section-title">About Company</div>
							<p>Architecture the inila duman aten elit finibus vivera alacus company design drudean seneice miuscibe noneten the fermen. The design architecture duiman finibus viverra nec a lacus drudeane sene voice fermen.</p>
							<p>Design architecture duiman at elit finibus viverra nec a lacus vivento nuse ane sene voice the volume the miss drana inc fermen.</p>
							<div class="butn-dark"><a href="<?php echo esc_url(home_url('/')); ?>?page_id=45"><span>Read more <i class="ti-arrow-right"></i></span></a></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- Services section -->
	<section class="services mb-90">
		<div class="container">
			<div class="row">
				<!-- You can access the background images on the services style line in the style.css file. -->
				<div class="col-md-12 animate-box" data-animate-effect="fadeInUp">
					<div class="owl-carousel owl-theme">
						<div class="item bg-1">
							<div class="con">
								<div class="icon-img"><img src="<?php echo get_template_directory_uri();?>/assets/img/icons/1.png" alt=""></div>
								<h5>Architectural Design</h5>
								<p>Architecture bibendum eros onne vane the sutate the sit ame vehicula nubare alacera in evensa sitae zusto.</p>
							</div>
						</div>
						<div class="item bg-2">
							<div class="con">
								<div class="icon-img"><img src="<?php echo get_template_directory_uri();?>/assets/img/icons/2.png" alt=""></div>
								<h5>Interior Design</h5>
								<p>Architecture bibendum eros onne vane the sutate the sit ame vehicula nubare alacera in evensa sitae zusto.</p>
							</div>
						</div>
						<div class="item bg-3">
							<div class="con">
								<div class="icon-img"><img src="<?php echo get_template_directory_uri();?>/assets/img/icons/3.png" alt=""></div>
								<h5>Exterior Design</h5>
								<p>Architecture bibendum eros onne vane the sutate the sit ame vehicula nubare alacera in evensa sitae zusto.</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- Projects section -->
	<section class="projects section-padding">
		<div class="container">
			<div class="row">
				<div class="col-md-12 mb-30">
					<div class="section-number">.03</div>
					<div class="section-subtitle">Portfolio</div>
					<div class="section-title">Our Projects</div>
				</div>
			</div>
			<div class="projects-carousel owl-theme owl-carousel">
				<?php
				$args = array(   
					'post_type' => 'portfolio',   
					'paged' => $paged,
					'posts_per_page' => '5', 
				);  
				$wp_query = new WP_Query($args);
				$i = 0;
				while ($wp_query -> have_posts()) : $wp_query -> the_post();  
					$project_info = get_post_meta(get_the_ID(),'_cmb_project_info', true);
					$project_subtitle = get_post_meta(get_the_ID(),'_cmb_project_subtitle', true);
					$i++; 
					?>
					<div class="projects-single">
						<div class="projects-img"> <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""> </div>
						<div class="projects-content">
							<div class="projects-tagline"><?php echo esc_attr($project_subtitle); ?></div>
							<div class="projects-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></div>
							<div class="projects-arrow"> <a href="<?php the_permalink();?>"><span class="ti-arrow-right"></span></a> </div>
						</div>
					</div>
				<?php endwhile; ?>
			</div>
		</div>
	</section>
	<!-- Video section -->
	<section class="section-padding">
		<div class="container">
			<div class="row">
				<div class="col-md-12 animate-box" data-animate-effect="fadeInUp">
					<div class="project-video left">
						<figure> <img src="<?php echo get_template_directory_uri();?>/assets/img/project.jpg" alt="" class="img-fluid">
							<div class="row">
								<div class="col-md-12 offset-md-4 valign v-middle clear">
									<div class="vid-area">
										<div class="vid-icon">
											<a class="play-button vid" href="https://youtu.be/y9j-BL5ocW8?t=12">
												<svg class="circle-fill">
													<circle cx="43" cy="43" r="39" stroke="#fff" stroke-width="1"></circle>
												</svg>
												<svg class="circle-track">
													<circle cx="43" cy="43" r="39" stroke="none" stroke-width="1" fill="none"></circle>
												</svg> <span class="polygon">
													<i class="ti-control-play"></i>
												</span> </a>
											</div>
										</div>
									</div>
								</div>
							</figure>
							<div class="caption">
								<div class="section-number">.04</div>
								<div class="section-subtitle">Take a look at our</div>
								<div class="section-title">Recent Project</div>
								<p>Take a look at our most recent project. Architecture the inila miss uman saten eliten finibus vivera alacus themone the drudean seneice muscibe noten tofermen. Design architecture duiman viverra nec a fermen.</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- Blog section -->
		<section class="blog section-padding">
			<div class="container">
				<div class="row">
					<div class="col-md-12 text-center mb-30">
						<div class="section-number">.05</div>
						<div class="section-subtitle">Our Blog</div>
						<div class="section-title">Latest News</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="owl-carousel owl-theme">
							<?php
							$args = array(   
								'post_type' => 'post',   
								'paged' => $paged,
								'posts_per_page' => '4', 
							);  
							$wp_query = new WP_Query($args);
							while ($wp_query -> have_posts()) : $wp_query -> the_post();  
								$single_meta = get_post_meta(get_the_ID(),'_cmb_single_meta', true);
								?>
								<div class="item">
									<div class="post-img">
										<a href="<?php the_permalink();?>">
											<div class="img"> <img src="<?php echo get_template_directory_uri();?>/assets/img/slider/1.jpg" alt=""> </div>
										</a>
									</div>
									<div class="cont">
										<div class="info"> <a href="<?php the_permalink();?>"><span><?php echo esc_attr($single_meta); ?></span></a> <?php the_time(get_option( 'date_format' ));?> </div>
										<h5><a href="<?php the_permalink();?>"><?php the_title();?></a></h5>
									</div>
								</div>
							<?php endwhile; ?>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- Testimonials section -->
		<section class="section-padding">
			<div class="container">
				<div class="row">
					<div class="col-md-12 animate-box" data-animate-effect="fadeInUp">
						<div class="testimonials left">
							<figure> <img src="<?php echo get_template_directory_uri();?>/assets/img/client.jpg" alt="" class="img-fluid"> </figure>
							<div class="caption testimonials">
								<div class="owl-carousel owl-theme">
									<div class="item-box"> <span class="quote"><img src="<?php echo get_template_directory_uri();?>/assets/img/quot.png" alt=""></span>
										<p>Architecture the inila duman aten elit finibus vivera alacus theonen sruden seneice miuscibe noneten fermen. The design architecture duiman finibus viverra nec a lacus drudeane sene voice fermen. Architecture vivente the nolume the miss drana incabout miss fermen.</p>
										<div class="info">
											<div class="author-img"> <img src="<?php echo get_template_directory_uri();?>/assets/img/team/1.jpg" alt=""> </div>
											<div class="cont">
												<h6>Enrico Brown</h6> <span>HHM Director</span>
											</div>
										</div>
									</div>
									<div class="item-box"> <span class="quote"><img src="<?php echo get_template_directory_uri();?>/assets/img/quot.png" alt=""></span>
										<p>Architecture the inila duman aten elit finibus vivera alacus theonen sruden seneice miuscibe noneten fermen. The design architecture duiman finibus viverra nec a lacus drudeane sene voice fermen. Architecture vivente the nolume the miss drana incabout miss fermen.</p>
										<div class="info">
											<div class="author-img"> <img src="<?php echo get_template_directory_uri();?>/assets/img/team/2.jpg" alt=""> </div>
											<div class="cont">
												<h6>Emily White</h6> <span>IOT Company</span>
											</div>
										</div>
									</div>
									<div class="item-box"> <span class="quote"><img src="<?php echo get_template_directory_uri();?>/assets/img/quot.png" alt=""></span>
										<p>Architecture the inila duman aten elit finibus vivera alacus theonen sruden seneice miuscibe noneten fermen. The design architecture duiman finibus viverra nec a lacus drudeane sene voice fermen. Architecture vivente the nolume the miss drana incabout miss fermen.</p>
										<div class="info">
											<div class="author-img"> <img src="<?php echo get_template_directory_uri();?>/assets/img/team/3.jpg" alt=""> </div>
											<div class="cont">
												<h6>Daniel Martin</h6> <span>TOGO Director</span>
											</div>
										</div>
									</div>
								</div>
								<div class="section-number">.06</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- Team section -->
		<section class="team section-padding">
			<div class="container">
				<div class="row">
					<div class="col-md-12 text-center mb-30">
						<div class="section-number">.07</div>
						<div class="section-subtitle">Our Experts</div>
						<div class="section-title">Creative Team</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="owl-carousel owl-theme">
							<div class="item">
								<div class="position-re o-hidden"> <img src="<?php echo get_template_directory_uri();?>/assets/img/team/1.jpg" alt=""> </div>
								<div class="con">
									<h5>Enrico Brown</h5>
									<p>dipl. Arch ETH/SIA</p>
								</div>
							</div>
							<div class="item">
								<div class="position-re o-hidden"> <img src="<?php echo get_template_directory_uri();?>/assets/img/team/2.jpg" alt=""> </div>
								<div class="con">
									<h5>Olivia White</h5>
									<p>dipl. Arch FH</p>
								</div>
							</div>
							<div class="item">
								<div class="position-re o-hidden"> <img src="<?php echo get_template_directory_uri();?>/assets/img/team/3.jpg" alt=""> </div>
								<div class="con">
									<h5>Daniel Martin</h5>
									<p>M.A. FH in Architecture</p>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>

<?php get_footer(); ?>