<?php
/*
 * Template Name: Project Template
 * Description: A Page Template with a Page Builder design.
 */
 $nowarch_redux_demo = get_option('redux_demo');
get_header(); ?>

<div class="content-wrapper">
        <!-- Lines section -->
        <section class="content-lines-wrapper">
            <div class="content-lines-inner">
                <div class="content-lines"></div>
            </div>
        </section>
        <!-- Header Banner section -->
        <section class="banner-header banner-img section-padding valign bg-img bg-fixed" data-overlay-darkgray="2" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/11.jpg"></section>
        <!-- Projects section -->
        <section class="section-padding2">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 text-center mb-30 animate-box" data-animate-effect="fadeInUp">
                        <div class="section-subtitle">Our Projects</div>
                        <div class="section-title">Latest Project</div>
                    </div>
                </div>
                <?php
                $args = array(   
                	'post_type' => 'portfolio',   
                	'paged' => $paged,
                	'posts_per_page' => '4', 
                );  
                $wp_query = new WP_Query($args);
                $i = 0;
                while ($wp_query -> have_posts()) : $wp_query -> the_post();  
            	$project_info = get_post_meta(get_the_ID(),'_cmb_project_info', true);
            	$project_subtitle = get_post_meta(get_the_ID(),'_cmb_project_subtitle', true);
            	$project_number = get_post_meta(get_the_ID(),'_cmb_project_number', true);
                 $i++; 
                	?>
               	<?php if ($i%2==0) { ?>
               	<div class="row">
                    <div class="col-md-12 mb-120 animate-box" data-animate-effect="fadeInUp">
                        <div class="projects2 left">
                            <figure>
                                <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""></a>
                            </figure>
                            <div class="caption">
                                <div class="section-number"><?php echo esc_attr($project_number); ?></div>
                                <h6><?php echo esc_attr($project_subtitle); ?></h6>
                                <h4><?php the_title();?></h4>
                                <p><?php if(isset($nowarch_redux_demo['portfolio_excerpt'])){?>
                                	<?php echo esc_attr(nowarch_excerpt_2($nowarch_redux_demo['portfolio_excerpt'])); ?>
                                <?php }else{?>
                                	<?php echo esc_attr(nowarch_excerpt_2(25)); 
                                }
                                ?></p>
                                <div class="butn-dark"><a href="<?php the_permalink();?>"><span><?php echo esc_html__( 'View project', 'nowarch' )?> <i class="ti-arrow-right"></i></span></a></div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php }elseif ($i%2==1){ ?>
                <div class="row">
                    <div class="col-md-12 mb-120 animate-box" data-animate-effect="fadeInUp">
                        <div class="projects2">
                            <figure>
                                <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""></a>
                            </figure>
                            <div class="caption">
                                <div class="section-number"><?php echo esc_attr($project_number); ?></div>
                                <h6><?php echo esc_attr($project_subtitle); ?></h6>
                                <h4><?php the_title();?></h4>
                                <p><?php if(isset($nowarch_redux_demo['portfolio_excerpt'])){?>
                                    <?php echo esc_attr(nowarch_excerpt_2($nowarch_redux_demo['portfolio_excerpt'])); ?>
                                <?php }else{?>
                                    <?php echo esc_attr(nowarch_excerpt_2(25)); 
                                }
                                ?></p>
                                <div class="butn-dark"><a href="<?php the_permalink();?>"><span><?php echo esc_html__( 'View project', 'nowarch' )?> <i class="ti-arrow-right"></i></span></a></div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <?php endwhile; ?>
            </div>
        </section>

<?php get_footer(); ?>