<?php
/**
 * The Template for displaying all single posts
 */
$nowarch_redux_demo = get_option('redux_demo');
get_header(); ?>

<?php 
while (have_posts()): the_post();
    $project_info = get_post_meta(get_the_ID(),'_cmb_project_info', true);
    $project_subtitle = get_post_meta(get_the_ID(),'_cmb_project_subtitle', true);
    ?>
    
    <!-- Header Banner section -->
    <?php if(isset($nowarch_redux_demo['portfolio_image']['url']) && $nowarch_redux_demo['portfolio_image']['url'] != ''){?>
        <section class="banner-header banner-img section-padding valign bg-img bg-fixed" data-overlay-darkgray="2" data-background="<?php echo esc_url($nowarch_redux_demo['portfolio_image']['url']);?>"></section>
    <?php }else{?>
        <section class="banner-header banner-img section-padding valign bg-img bg-fixed" data-overlay-darkgray="2" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/11.jpg"></section>
    <?php } ?>
    <!-- Project page section -->
    <section class="project-page section-padding2">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <!-- Gallery -->
                    <div class="owl-carousel owl-theme">
                        <?php $gallery = get_post_gallery( get_the_ID(), false );

                        if(isset($gallery['ids'])){    
                            $gallery_ids = $gallery['ids'];
                            $img_ids = explode(",",$gallery_ids);
                            $i=0; $j=0;?>
                            <?php   
                            foreach( $img_ids AS $img_id ){ 
                                $image_src = wp_get_attachment_image_src($img_id,'');
                                ?>
                                <div class="portfolio-item">
                                    <img class="img-fluid" src="<?php echo esc_url($image_src[0]); ?>" alt="">
                                </div>
                            <?php } } ?>
                        </div>
                        <div class="row justify-content-center">
                            <div class="col-md-10">
                                <div class="project-bar">
                                    <div class="row justify-content-between align-items-center text-center text-lg-start">
                                        <?php echo htmlspecialchars_decode(esc_attr($project_info));?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 mt-30 mb-30">
                        <div class="section-subtitle"><?php echo esc_attr($project_subtitle); ?></div>
                        <div class="section-title"><?php the_title();?></div>
                        <?php the_content(); ?>
                        <?php wp_link_pages(); ?>
                    </div>
                </div>
            </div>
        </section>
        <!-- Prev-Next Projects -->
        <div class="projects-prev-next mb-90">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="d-sm-flex align-items-center justify-content-between">
                            <div class="projects-prev-next-left">
                                <?php previous_post_link(); ?>
                            </div>
                            <div class="projects-prev-next-right"> <?php next_post_link(); ?> </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

<?php endwhile; ?>
<?php
get_footer();
?>