<?php
// register post type Portfolio

add_action( 'init', 'register_nowarch_Portfolio' );
function register_nowarch_Portfolio() {
    
    $labels = array( 
        'name' => __( 'Portfolio', 'nowarch' ),
        'singular_name' => __( 'Portfolio', 'nowarch' ),
        'add_new' => __( 'Add New Portfolio', 'nowarch' ),
        'add_new_item' => __( 'Add New Portfolio', 'nowarch' ),
        'edit_item' => __( 'Edit Portfolio', 'nowarch' ),
        'new_item' => __( 'New Portfolio', 'nowarch' ),
        'view_item' => __( 'View Portfolio', 'nowarch' ),
        'search_items' => __( 'Search Portfolio', 'nowarch' ),
        'not_found' => __( 'No Portfolio found', 'nowarch' ),
        'not_found_in_trash' => __( 'No Portfolio found in Trash', 'nowarch' ),
        'parent_item_colon' => __( 'Parent Portfolio:', 'nowarch' ),
        'menu_name' => __( 'Portfolio', 'nowarch' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Portfolio',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Portfolio', 'type' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-hammer', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_style' => 'post'
    );

    register_post_type( 'Portfolio', $args );
}
add_action( 'init', 'create_PortfolioType_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_PortfolioType_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'nowarch' ),
    'singular_name' => __( 'Type', 'nowarch' ),
    'search_items' =>  __( 'Search Type','nowarch' ),
    'all_items' => __( 'All Type','nowarch' ),
    'parent_item' => __( 'Parent Type','nowarch' ),
    'parent_item_colon' => __( 'Parent Type:','nowarch' ),
    'edit_item' => __( 'Edit Type','nowarch' ), 
    'update_item' => __( 'Update Type','nowarch' ),
    'add_new_item' => __( 'Add New Type','nowarch' ),
    'new_item_name' => __( 'New Type Name','nowarch' ),
    'menu_name' => __( 'Type','nowarch' ),
  );     

// Now register the taxonomy

  register_taxonomy('type',array('Portfolio',), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));


}